VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceShadingRateImagePropertiesNV const & () const
| operator VkPhysicalDeviceShadingRateImagePropertiesNV & ()
bool | operator== (PhysicalDeviceShadingRateImagePropertiesNV const &rhs) const
bool | operator!= (PhysicalDeviceShadingRateImagePropertiesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Extent2D | shadingRateTexelSize
uint32_t | shadingRatePaletteSize
uint32_t | shadingRateMaxCoarseSamples

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceShadingRateImagePropertiesNV

## Detailed Description

Definition at line 19949 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceShadingRateImagePropertiesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::operator VkPhysicalDeviceShadingRateImagePropertiesNV & | ( |  | ) |

inline

Definition at line 19956 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceShadingRateImagePropertiesNV*>(this);
}

## operator VkPhysicalDeviceShadingRateImagePropertiesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::operator VkPhysicalDeviceShadingRateImagePropertiesNV const & | ( |  | ) | const

inline

Definition at line 19951 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceShadingRateImagePropertiesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::operator!= | ( | PhysicalDeviceShadingRateImagePropertiesNV const & | rhs | ) | const

inline

Definition at line 19970 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::operator== | ( | PhysicalDeviceShadingRateImagePropertiesNV const & | rhs | ) | const

inline

Definition at line 19961 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( shadingRateTexelSize == rhs.shadingRateTexelSize )
&& ( shadingRatePaletteSize == rhs.shadingRatePaletteSize )
&& ( shadingRateMaxCoarseSamples == rhs.shadingRateMaxCoarseSamples );
}

References pNext, shadingRateMaxCoarseSamples, shadingRatePaletteSize, shadingRateTexelSize, and sType.

Referenced by operator!=().

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::pNext = nullptr

Definition at line 19979 of file vulkan.hpp.

Referenced by operator==().

## shadingRateMaxCoarseSamples

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRateMaxCoarseSamples

Definition at line 19982 of file vulkan.hpp.

Referenced by operator==().

## shadingRatePaletteSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRatePaletteSize

Definition at line 19981 of file vulkan.hpp.

Referenced by operator==().

## shadingRateTexelSize

Extent2D VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRateTexelSize

Definition at line 19980 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::sType = StructureType::ePhysicalDeviceShadingRateImagePropertiesNV

private

Definition at line 19976 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::pNext
void * pNext
Definition: vulkan.hpp:19979
VkPhysicalDeviceShadingRateImagePropertiesNV
Definition: vulkan_core.h:8063
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::sType
StructureType sType
Definition: vulkan.hpp:19976
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRatePaletteSize
uint32_t shadingRatePaletteSize
Definition: vulkan.hpp:19981
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::operator==
bool operator==(PhysicalDeviceShadingRateImagePropertiesNV const &rhs) const
Definition: vulkan.hpp:19961
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRateMaxCoarseSamples
uint32_t shadingRateMaxCoarseSamples
Definition: vulkan.hpp:19982
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImagePropertiesNV::shadingRateTexelSize
Extent2D shadingRateTexelSize
Definition: vulkan.hpp:19980